=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export V=1
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

override_dh_autoreconf:
	autoreconf -f -i
	cd builders/hardsid-builder/ && autoreconf -f -i
	cd builders/resid-builder/ && autoreconf -f -i
	cd libsidplay/ && autoreconf -f -i
	cd libsidutils/ && autoreconf -f -i
	cd resid/ && autoreconf -f -i

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-static

override_dh_installchangelogs:
	dh_installchangelogs -plibsidplay2 libsidplay/ChangeLog
	dh_installchangelogs -plibsidutils0 libsidutils/ChangeLog
	dh_installchangelogs -Nlibsidplay2 -Nlibsidutils0

override_dh_installdocs:
	dh_installdocs -Nlibsidplay2-dev -Nlibsidutils-dev -Nlibresid-builder-dev
	dh_installdocs -plibsidplay2-dev --link-doc=libsidplay2
	dh_installdocs -plibsidutils-dev --link-doc=libsidutils0
	dh_installdocs -plibresid-builder-dev --link-doc=libresid-builder0c2a

%:
	dh $@ --with autoreconf

.PHONY: override_dh_autoreconf override_dh_auto_configure \
	override_dh_installchangelogs override_dh_installdocs
